Pb de connexion au market depuis passage V4

Bonjour,

Comme dit dans le titre; je suis passé sur la V4 de jeedom après avoir mis a niveau débian 10 buster donc version DIY qui tourne sur un PC dédié.

Depuis ce passage lorsque je me connecte au market j’ai un log

Call to undefined function curl_init()

et lorsque je lance synchroniser market j’ai

500 : Internal Server Error

j’anticipe des choses vues sur le forum; j’ai rebooté jeedom, je suis en Ethernet, J’ai le même soucis que je sois en local ou en Dns …
Dites moi si vous avez besoin d’autre infos ou de logs…

Bonjour,
Pouvez-vous montrer une copie de la page santé global + la partie avec les extentions.

Comment avez-vous fait l’upgrade de debian finalement ?

Bonjour,

merci de me répondre.

Même problème avec la page santé d’ailleur j’ai le même log erreur que sur le market.
Je ne comprend pas la partie avec les extensions il faut aller le chercher ou ?
image
L’upgrade je l’ai faite en ssh en suivant un tutto sur le net…

Bonjour,

Il ne faut pas faire d’upgrade de l’OS, car tout n’est pas mis à jour de cette manière là.

Préférez une installation de Buster en natif et pas en mise à jour (il s’agit bien de la version Debian 10 et pas la 11, la 11 n’est pas encore supporté par l’ensemble des plugins de Jeedom).

Ensuite, installez Jeedom et restaurez votre sauvegarde.

Oui c’est une installation Debian10 Buster pas la 11

Et pourtant je vous avais donné la marche à suivre…


A quoi cela sert qu’on réponde si après les personnes demandant de l’aide font autre chose? :unamused:

2 J'aimes

Désolé mais je ne comprend pas votre message ?

Vous me suggérez de passer a débian 10 pour solutionner mon problème de Plugin, effectivement vous m’avez gentilement mis un lien d’installation que j’ai regardé et qui m’a paru un peu compliqué dans le sens ou je ne savais pas si il fallait formater mon disque dur avant ou pas comment il fallait faire,et je n’ai pas de clé usb … Donc jai mis a jour en version 10 Buster; pour moi c’était quand même la finalité et je n’imaginais pas que ca planterais le fonctionnement de Jeedom.

J’ai vais donc devoir aller chercher une clé USB et recommencer. Tout en sachant que je suis quasi sûr que ca ne va pas solutionner mon problème de plugin RFlink en plus :pensive:

Bon ok je comprend votre logique; voila maintenant vous savez que pour jeedom, il est en fait plus facile de réinstaller que de tenter une mise à jour.
Pour être complet, vous trouverez sur le forum disant le contraire et donc oui dans l’absolu c’est possible mais il faut s’y connaitre relativement bien et par expérience, on voit bien plus de personnes ayant des soucis avec cette méthode que de réinstaller et cela est aussi rapide (si pas plus rapide surtout avec les images jeedom)

ca on verra ensuite mais ce qui est sur c’est que tant qu’il y a d’autres problèmes « devant » ce problème avec rflink, cela sera trop compliqué de trouver la solution.

1 J'aime

Salut,

Après de nombreux essais j ai reussi à lancer l’installation depuis la clé usb mais j ai un log d erreur qui arrive pendant l installation. Avez vous une idée de comment y remédier ?

20210906_210845

Comme indiqué dans le message, il vous faut un CPU en 64bits pour cette image, le i686 n’en est pas un.
C’est aussi indiqué dans la doc: https://doc.jeedom.com/fr_FR/compatibility/

Même si vous installez une image 32 bits de debian (linux) et que vous installez jeedom ensuite, il va peut-être démarrer (je n’en sais rien) mais vous aurez des problèmes avec certains plugins car les dépendances nécessaires n’existeront pas sur une architecture 32bits.

Votre machine n’est pas approprié, il faut trouver une autre solution.

C’est bien ce que je craignais, ok merci je vais étudier la solution la plus adaptée a ma maison.

Bonjour a tous, je suis de retour

Je pose ma question sur ce fil car c’est un peu dans la continuité … Finalement j’ai opté pour un odroid C2 étant donné que j’ai déja un DNS, j’ai acheté pas mal de plugin sur le market et seul le rflink m’interesse pour le moment.

J’ai fait quelques recherches pour l’installation de la V4 sur odroid C2 mais la plupart des réponses semble être de vieilles conversations car ils parlent de stretch.

Apparement pour installer sur Odroid C2 c’est comme sur la RPI j’installe une image depuis etcher( par exemple) sur la carte SD ? Si c’est le cas où puis je trouver la version a installer car je suis un peu perdu sur les images et je n’ai rien vu dans les docs de jeedom ??

Merci d avance

Edit : J’ai essayé avec l’image toute prête de jeedom que m’a fourni @Mips la dernière fois mais sans succès.

Bonjour,

Pour les Odroid, vous avez @akenad qui réalise de très bons tutoriels sur ce sujet et ils sont tous sauf anciens.

De ce que j’ai compris, pour résumer, cela n’est pas comme sur les Raspberry Pi, oui, si vous installez sur la carte MicroSD, mais tout l’intérêt de cette machine et d’utiliser le disque eMMC de présent sur celui-ci.
Il faut donc le retirer, le placer dans un lecteur USB dédié (une 10 ène d’euros) et graver l’image. Ensuite, vous le remettez en place et vous démarrez dessus.
Enfin, vous installez Jeedom (une seule ligne de commande) et vous remettez en place votre sauvegarde pour terminer.

[RTEX] Odroid-C2 - eMMC - Armbian Buster Kernel 5.3 - Jeedom V4 - Matériel Jeedom - Hardware / La box JEEDOM SMART - Communauté Jeedom

1 J'aime

Merci pour ces informations. J’avais effectivement vu les tuttos mais comme je souhaite une install sur SD dans un premier temps je ne m’y retrouvais pas.

Donc si je veux installer sur la SD pour commencer je prends bien l’image dédiée au RPI4 car mon odroid semble être en 64bits ? (pour le moment c’est ce que j’ai fait mais ca ne semble pas fonctionner…)

L’image pour cette machine n’existe pas avec Jeedom.
Il faut la télécharger en suivant le guide d’Akenad sur son tutoriel.

Un Raspberry pi n’est pas un odroid, l’inverse est aussi vrais :grin:

ca marche merci pour les infos et désolé pour le niveau en informatique mais on dit souvent : y a pas de question C… :laughing: